%global rbname rpm
%global reldir 26403
%global momorel 19

%global ruby_sitelibdir %{_libdir}/ruby/1.9.0/
%global ruby_sitearchdir %{_libdir}/ruby/1.9.0/%{_arch}-linux/

Summary: An interface to access RPM database for Ruby-1.9
Name: ruby19-%{rbname}
Version: 1.2.3
Release: %{momorel}m%{?dist}
Group: Development/Libraries
License: GPL
URL: http://rubyforge.org/projects/ruby-rpm/
Source0: http://rubyforge.org/frs/download.php/%{reldir}/ruby-rpm-%{version}.tgz 
NoSource: 0
Patch1: ruby-rpm-1.2.0-doc.patch
# Patch2: ruby-rpm-lib64.patch
Patch3: ruby-rpm-1.2.0-ia64.patch
Patch4: ruby-rpm-1.2.0-extconf-db46.patch

Patch10: install.rb-ruby-1.9.patch
Patch11: ruby-rpm-ruby-1.9.patch
Patch12: extconf.rb-ruby-1.9-muriyari.patch

Patch100: ruby-rpm-1.2.3-memleak.patch

Patch201: ruby-rpm-1.2.3-specfile.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: ruby19 
BuildRequires: ruby19  >= 1.9.0-16
BuildRequires: rpm-devel >= 4.4.2-1m
BuildRequires: popt >= 1.9.1-1m
BuildRequires: db4-devel >= 4.3
Requires: db4 >= 4.3

Conflicts: mph-get <= 0.92.6.1
Obsoletes: ruby-rpm-devel
Obsoletes: ruby-rpm19

%description
Ruby/RPM is an interface to access RPM database for Ruby-1.9.

%prep
%setup -q -n ruby-rpm-%{version}
%patch201 -p1 -b .specfile~
%patch1 -p1
# %if %{_lib} == "lib64"
# %patch2 -p1
# %endif
%ifarch ia64
%patch3 -p1
%endif
%patch4 -p1

%patch10 -p1
%patch11 -p1
# %patch12 -p1

%patch100 -p1 -b .memleak~

%build
ruby19 install.rb config \
    --bin-dir=%{_bindir} \
    --rb-dir=%{ruby_sitelibdir} \
    --so-dir=%{ruby_sitearchdir} \
    --data-dir=%{_datadir}

pushd ext/rpm
make 
popd

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

ruby install.rb config \
    --bin-dir=%{buildroot}%{_bindir} \
    --rb-dir=%{buildroot}%{ruby_sitelibdir} \
    --so-dir=%{buildroot}%{ruby_sitearchdir} \
    --data-dir=%{buildroot}%{_datadir}
ruby install.rb install

%__install -m 0644 ext/rpm/ruby-rpm.h %{buildroot}%{ruby_sitearchdir}
# %%__install ext/rpm/rpmmodule.so %{buildroot}%{ruby_sitearchdir}
# %%__install -m 0644 lib/rpm.rb %{buildroot}%{ruby_sitearchdir}

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README COPYING ChangeLog doc
%{ruby_sitelibdir}/rpm.rb
%{ruby_sitearchdir}/rpmmodule.so
%{ruby_sitearchdir}/ruby-rpm.h

%changelog
* Sun Jan 18 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.3-19m)
- apply Patch201 which adds RPM::Spec#specfile method

* Tue Aug 26 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.2.3-13m)
- rebuild against ruby-1.9.0-4
-- if broke OmoiKondara then "ruby ../tools/OmoiKondara -i ruby19-rpm" 

* Sat Jul 26 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2.3-12m)
- rename ruby19-rpm

* Sat Jun 14 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.2.3-11m)
- add patch that fixes memory leak

* Mon May  5 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.3-10m)
- rebuild against ruby19-1.9.0-10m

* Wed Apr 16 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.3-9m)
- no need ruby18.
- add db-4.6 patch 

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.3-8m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.3-7m)
- %%NoSource -> NoSource

* Tue Dec 25 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.3-6m)
- Re: support newer ruby-1.9

* Tue Dec 25 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.3-5m)
- support newer ruby-1.9

* Thu Nov  8 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.2.3-4m)
- modify reldir, md5sum

* Sun Oct 21 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.2.3-3m)
- rebuild against db4-4.6.21

* Wed Aug 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.3-2m)
- fix install .so path

* Tue Jul 31 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.3-1m)
- initial commit

